This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 484901 - autofs does not allow a specific map type to override nsswitch settings
autofs does not allow a specific map type to override nsswitch settings
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs (Show other bugs)
4.8
All Linux
low Severity low
: rc
: 4.9
Assigned To: Ian Kent
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 11:05 EST by Jeff Moyer
Modified: 2011-01-25 13:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 13:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Moyer 2009-02-10 11:05:31 EST
Description of problem:
Consider the following:

nsswitch.conf:
automount: nis

yp:auto.master
/test  /etc/auto.test

With this configuration, the automount damon will not be started as the script will determine (wrongly) that there are no maps to be read.  Instead, the nsswitch utility should treat an absolute path as a file map, no matter what is listed in nsswitch.conf.

Version-Release number of selected component (if applicable):
4.1.3-232

How reproducible:
100%

Additional Info:

RHTS test /CoreOS/autofs/bugzillas subtest bz443933 covers this.

Note You need to log in before you can comment on or make changes to this bug.